### Signal

# WebKit WebView::run-as-modal

#### Declaration

    void
    run_as_modal (
      WebKitWebView* self,
      gpointer user_data
    )

#### Description [src]

Emitted after `WebKitWebView::ready-to-show` on the newly created `WebKitWebView` when JavaScript code calls window.showModalDialog. The purpose of this signal is to allow the client application to prepare the new view to behave as modal. Once the signal is emitted a new main loop will be run to block user interaction in the parent `WebKitWebView` until the new dialog is closed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.